=== debian/changelog ===
ocaml-http (0.1.0-3) unstable; urgency=low

  * rebuilt against ocamlnet 1.0
  * uses dpatch, changed debian/{control,rules,patches} accordingly
  * patched http_daemon.ml so that it doesn't flush data, this
    apparently solves some issues with approx (see
    debian/patches/17_flush.dpatch)

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 15 Apr 2005 08:57:14 +0200

ocaml-http (0.1.0-2) unstable; urgency=low

  * rebuilt against ocaml 3.08.3

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 29 Mar 2005 11:39:24 +0200

ocaml-http (0.1.0-1) unstable; urgency=low

  * first debian official package

 -- Stefano Zacchiroli <zack@debian.org>  Tue,  8 Feb 2005 22:45:54 +0100

ocaml-http (0.1.0) unstable; urgency=low

  * added "daemon specifications": a unified way of specifying daemons
    behaviour including old parameters of Http_daemon.start together
    with authentication requirements and exception handling
  * added new way of building daemons starting from specifications, old
    ways (e.g. Http_daemon.start) are now deprecated
  * added sigpipe handling to avoid daemons dying for uncaught signals
  * added exception handler (as part of a daemon specification), it can
    be used to ensure that some code is execute before a process/thread
    die for uncaught exception (e.g. unlocking a global mutex)
  * added authentication requirements (as part of a daemon
    specification): an handy way to specify required user name and
    password for HTTP basic authentication
  * added head_callback to Http_user_agent in order to have access to
    response status and headers in HTTP requests
  * changed license from GPL to LGPL
  * improved ocamldoc documentation and debian packaging

 -- Stefano Zacchiroli <zack@debian.org>  Thu,  3 Feb 2005 23:08:14 +0100

ocaml-http (0.0.10) unstable; urgency=low

  * renamed Http_client module to Http_user_agent to avoid compatibility
    issues with Netclient. Renamed that module functions removing
    "http_" prefix (e.g., summarizing, Http_client.http_get ->
    Http_user_agent.get)
  * ported to ocaml 3.08
  * debian/control
    - bumped standards version to 3.6.1.1
    - changed deps to ocaml 3.08 and -nox

 -- Stefano Zacchiroli <zack@debian.org>  Thu,  5 Aug 2004 15:06:49 +0200

ocaml-http (0.0.9) unstable; urgency=low

  * Added support for HTTP Basic authentication
  * Restyled Http_daemon API so that correct invocations of them are
    statically typechecked
  * Added support for HEAD requests to Http_client
  * ~addr parameter now support not only ip addresses but also hostnames
  * debian/control
    - bumped Standards-Version to 3.6.1.0
  * debian/rules
    - moved debhelper compatibility level to debian/compat

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 16 Dec 2003 18:01:41 +0100

ocaml-http (0.0.8) unstable; urgency=low

  * Added support for "ancient" HTTP requests which specify no HTTP
    version
    - 'version' method on message now has type 'version option'
  * Http_daemon now use debugging prints from Http_common like other
    modules
  * Added debugging print of requests parse error
  * Shutdown server socket on abnormal exit (actually: uncaught
    exceptions or SIGTERM received)
  * Added a lot of ocamldoc documentation
  * Added minimal HTTP 1.0/1.1 client support

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 10 Jan 2003 10:36:53 +0100

ocaml-http (0.0.7) unstable; urgency=low

  * Added support for POST requests
  * Implemented a commont 'message' class from which 'request' and
    'response' inherit
  * Changed constructor of 'request' objects, requests are now buildable
    directly (and only) from an input channel
  * Added client IP address information to Http_request.request class
  * Added OO daemon interfaces ("daemon" and "connection" classes)
  * Use Pcre to perform sanity test on headers instead of home made
    parsing
  * Callback functions can raise Http_types.Quit to have main daemon
    quit
  * Case-insensitive handling of header names

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 25 Dec 2002 16:22:31 +0100

ocaml-http (0.0.6) unstable; urgency=low

  * Ship multithreaded and non multithreaded cm{x,}aS
  * Added support for multiple binding of the same parameter in request
    objects (new method 'paramAll')
  * Added support for 'empty' bindings in query arguments (e.g.
    "/foo?b=" or "/foo?b")
  * Added some sanity checks
  * Bumped Standards-Version to 3.5.8
  * Use versioned dependencies lib{pcre,ocamlnet}-ocaml-dev-<version>
  * Added 'Provides libhttp-ocaml-dev-<version>'
  * Removed GPL from debian/copyright, added reference to
    /usr/share/common-licenses/GPL

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 25 Nov 2002 11:04:49 +0100

ocaml-http (0.0.5) unstable; urgency=low

  * Fixed bug for HTTP encoded GET parameters which contain '?' or '&'
    characters
  * Added support for chdir in a given document root before starting
  * Added support for multi threaded daemons
  * Added a generic 'Http_daemon.respond' function
  * Added 'toString' method to response objects

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 22 Nov 2002 11:29:37 +0100

ocaml-http (0.0.3) unstable; urgency=low

  * First release.

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 17 Nov 2002 17:41:41 +0100
