=== debian/control ===
Source: ocaml-http
Section: devel
Priority: optional
Maintainer: Stefano Zacchiroli <zack@debian.org>
Build-Depends: debhelper (>> 4.0.0), ocaml-nox-3.08.3, ocaml-findlib, libpcre-ocaml-dev (>= 5.08.1-3), libocamlnet-ocaml-dev (>= 1.0-1), dpatch
Standards-Version: 3.6.1.1

Package: libhttp-ocaml-dev
Architecture: any
Depends: ocaml-nox-3.08.3, libpcre-ocaml-dev (>= 5.08.1-3), libocamlnet-ocaml-dev (1.0-1)
Description: OCaml library for writing HTTP servers
 OCaml HTTP is a library for the Objective Caml programming language,
 used to build simple HTTP servers, largely inspired to Perl's
 HTTP::Daemon module.
 .
 In order to implement an HTTP servers the programmer has to provide a
 daemon specification which contains, among other parameters, a callback
 function invoked by OCaml HTTP on well formed HTTP requests received.
 HTTP responses could be sent over an out_channel connected with client
 socket, accessible from the callback.
 .
 The library contains also facility functions that helps in creating
 well formed HTTP responses and a tiny HTTP client.
