## ocaml-http 0.1.0-4

=== debian/changelog ===
ocaml-http (0.1.0-4) unstable; urgency=low

  * debian/control
    - fixed a typo in the Depends line (for this reason, last uploaded
      .deb carries no Depends at all!)

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 29 Apr 2005 14:07:41 +0200
