## ocaml-http 0.1.2-3build1

=== debian/changelog ===
ocaml-http (0.1.2-3build1) dapper; urgency=low

  * Ubuntu rebuild for ocaml transition

 -- Gauvain Pocentek <gauvainpocentek@yahoo.fr>  Sat, 11 Feb 2006 14:57:51 +0100

ocaml-http (0.1.2-3) unstable; urgency=low

  * Rebuilt against OCaml 3.09.1, bumped deps accordingly.

 -- Stefano Zacchiroli <zack@debian.org>  Sun,  8 Jan 2006 13:13:07 +0100

ocaml-http (0.1.2-2) unstable; urgency=low

  * rebuilt with ocaml 3.09
  * debian/*
    - no more hardcoding of ocaml abi version anywhere
  * debian/rules
    - use cdbs

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 26 Nov 2005 20:28:26 +0100

ocaml-http (0.1.2-1) unstable; urgency=low

  * avoid exceptions for closing connection twice during finaliztion of
    connection objects (thanks to Eric Strokes <eric.stokes@csun.edu>
    for the patch)

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 14 Sep 2005 18:03:40 +0200

ocaml-http (0.1.1-1) unstable; urgency=low

  * added ?default parameter to "param" method
  * fixed bug in response status line parsing
  * integrated patch for HTTP/1.1 persistent connections from
    Eric Cooper <ecc@cmu.edu>:
    - added support for persistent connections to http_daemon.ml: server
      now loops until End_of_file (or any exception) occurs when trying
      to parse the next request
  * debian/control
    - bumped pcre and ocamlnet dependencies
    - bumped standards-version to 3.6.2

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 16 Mar 2005 09:24:07 +0100
