=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

PKGNAME = libhttp-ocaml-dev

OCAMLABI := $(shell ocamlc -version)
OCAMLLIBDIR := $(shell ocamlc -where)
OFILES := $(patsubst %.in,%,$(shell ls debian/*.in))
HAVE_OCAMLOPT := $(shell test -x /usr/bin/ocamlopt && echo "yes")
DEB_DH_GENCONTROL_ARGS = -- -VF:OCamlABI="$(OCAMLABI)"
DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(CURDIR)/debian/$(PKGNAME)$(OCAMLLIBDIR)

ocamlinit:
	for f in $(OFILES); do sed -e 's/@OCamlABI@/$(OCAMLABI)/g' $$f.in > $$f; done

ifeq ($(HAVE_OCAMLOPT),yes)
build/$(PKGNAME)::
	$(MAKE) opt
endif
