=== debian/changelog ===
ocaml-http (0.1.2-4) unstable; urgency=low

  * Rebuilt against ocaml 3.09.2, bumped deps accordingly.
  * debian/control
    - Bumped Standards-Version to 3.7.2 (no changes needed)

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 17 May 2006 05:18:32 +0000
