=== debian/changelog ===
ocaml-http (0.1.3-2) unstable; urgency=low

  * debian/control.in
    - file removed, no longer needed
  * debian/control
    - bumped dependencies on pcre-ocaml and ocamlnet
  * debian/rules
    - binNMU safe substitution of variables in .in files
  * debian/dirs
    - file removed, will be generated at build time

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 15 Sep 2006 00:29:56 +0200

ocaml-http (0.1.3-1) unstable; urgency=low

  * force bash as SHELL in Makefile, since we rely on bashisms
    (closes: bug#381915)
  * removed Http_daemon.{start,start'}, they have been deprecated a while ago
    in favour of Http_daemon.main
  * added 'auto_close' to daemon specifications. When set to true (defaults to
    false), makes ocaml-http close every connection with client just after
    having executed a callback, no matter if that callback succeeds or fails
    with an exception

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 20 Aug 2006 18:07:41 +0200
