## ocaml-http 0.1.4-2

=== debian/changelog ===
ocaml-http (0.1.4-2) unstable; urgency=low

  * change how the ocamldoc API reference is generated: no longer use upstream
    Makefile, but rather rely on CDBS
  * debian/control
    - remove build-dep on texlive stuff and graphviz since now we only ship
      HTML version of the API reference
  * debian/docs, debian/doc-base
    - file removed, the latter will be now automatically generated, the former
      would only contain README and CDBS is smart enough to guess it

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 09 Sep 2007 12:34:07 +0200

ocaml-http (0.1.4-1) experimental; urgency=low

  * rebuild against OCaml 3.10 and ocamlnet 2.2
  * send internally generated headers as lowercase strings, for consistency
    with headers generated via setXXX methods
  * add preliminary support for cookies (new "cookies" method added to an
    http_request, cookies are parsed upon request creation if a "Cookie:"
    header has been received)
  * debian/rules
    - use ocaml.mk CDBS class
  * debian/rules
    - build ocamldoc documentation at package build time
  * debian/control
    - add build-dep on camlp4, which is now in a separate package
    - add build-dep for doc generation: graphviz, texlive-latex-recommended,
      texlive-base-bin, texlive-latex-extra
  * debian/svn-deblayout
    - add repository layout information
  - bump debhelper dep and compatibility level to 5

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 16 Jul 2007 16:19:48 +0200
