## ocaml-http 0.1.4-2build1

=== debian/changelog ===
ocaml-http (0.1.4-2build1) intrepid; urgency=low

  * Rebuild with OCaml 3.10.2. 

 -- Michael Bienia <geser@ubuntu.com>  Tue, 27 May 2008 20:23:31 +0200
