## ocaml-http 0.1.4-3

=== debian/changelog ===
ocaml-http (0.1.4-3) unstable; urgency=low

  * rebuild with OCaml 3.11
  * debian/control
    - refresh build-dependencies for the transition
    - add Vcs-* fields pointing to HELM's repository and browser
    - add missing ${misc:Depends}, thanks lintian!
    - set package section to "ocaml"
    - add Homepage field
  * debian/rules: use ocaml.mk as a CDBS "rules" snippet
  * debian/*.in: use more abstract substitution variable to avoid
    hard-coding assumption on stdlib location

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 19 Mar 2009 11:06:12 +0100
