## ocaml-http 0.1.4-3build1

=== debian/changelog ===
ocaml-http (0.1.4-3build1) karmic; urgency=low

  * no change rebuild for OCaml 3.11.0 - transition.

 -- Andrea Gasparini <gaspa@yattaweb.it>  Thu, 30 Jul 2009 19:41:53 +0200
