## ocaml-http 0.1.4-3build2

=== debian/changelog ===
ocaml-http (0.1.4-3build2) lucid; urgency=low

  * No-change rebuild for OCaml 3.11.2 transition (LP: #529408).

 -- Ilya Barygin <barygin@gmail.com>  Sun, 28 Feb 2010 20:02:31 +0300
