## ocaml-http 0.1.4-3build4

=== debian/changelog ===
ocaml-http (0.1.4-3build4) oneiric; urgency=low

  * Rebuild to pick up ocaml fixes on armel.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 24 Aug 2011 16:41:09 -0600

ocaml-http (0.1.4-3build3) oneiric; urgency=low

  * Rebuild for OCaml 3.12.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 18 May 2011 13:44:18 +0100
