=== debian/changelog ===
ocaml-http (0.1.5-2build1) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:30:19 +0000

ocaml-http (0.1.5-2) unstable; urgency=medium

  * Team upload
  * Update Vcs-*
  * Fix compilation with OCaml 4.08.0

 -- Stéphane Glondu <glondu@debian.org>  Thu, 05 Sep 2019 13:54:20 +0200

ocaml-http (0.1.5-1) unstable; urgency=low

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sat, 19 Nov 2011 13:59:35 +0100

ocaml-http (0.1.4-4) unstable; urgency=low

  * Team upload
  * Use dh-ocaml 0.9 (Closes: #642730)
  * debian/control:
    - set Maintainer to Debian OCaml Maintainers
    - set Homepage to forge.ocamlcore.org, add debian/watch
    - suggest ocaml-findlib
    - bump Standards-Version to 3.9.2
    - bump debhelper compatibility level to 8
  * Switch source package format to 3.0 (quilt)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 29 Sep 2011 22:56:58 +0200
