=== debian/control ===
Source: ocaml-http
Section: ocaml
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Build-Depends:
 debhelper (>= 8),
 cdbs,
 dh-ocaml (>= 0.9.6~),
 ocaml-nox (>= 3.11.1-3~),
 camlp4,
 ocaml-findlib,
 libpcre-ocaml-dev,
 libocamlnet-ocaml-dev (>= 2.2.9-6)
Standards-Version: 3.9.2
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-http.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-http
Homepage: http://ocaml-http.forge.ocamlcore.org/

Package: libhttp-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Suggests: ocaml-findlib
Description: OCaml library for writing HTTP servers
 OCaml HTTP is a library for the Objective Caml programming language,
 used to build simple HTTP servers, largely inspired to Perl's
 HTTP::Daemon module.
 .
 In order to implement an HTTP servers the programmer has to provide a
 daemon specification which contains, among other parameters, a callback
 function invoked by OCaml HTTP on well formed HTTP requests received.
 HTTP responses could be sent over an out_channel connected with client
 socket, accessible from the callback.
 .
 The library contains also facility functions that helps in creating
 well formed HTTP responses and a tiny HTTP client.
