=== debian/watch ===
version=3
https://github.com/sacerdot/ocaml-http/releases .*/archive/v?([0-9.]+)\.tar\.gz
